org.openmuc.openiec61850

## Class ServiceError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.openmuc.openiec61850.ServiceError

All Implemented Interfaces:
  java.io.Serializable

    public final class ServiceError
    extends java.lang.Exception

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `ACCESS_NOT_ALLOWED_IN_CURRENT_STATE`
`static int` `ACCESS_VIOLATION`
`static int` `APPLICATION_UNREACHABLE`
`static int` `CLASS_NOT_SUPPORTED`
`static int` `CONNECTION_LOST`
`static int` `CONTROL_MUST_BE_SELECTED`
`static int` `FAILED_DUE_TO_COMMUNICATIONS_CONSTRAINT`
`static int` `FAILED_DUE_TO_SERVER_CONSTRAINT`
`static int` `FATAL`
`static int` `INSTANCE_IN_USE`
`static int` `INSTANCE_LOCKED_BY_OTHER_CLIENT`
`static int` `INSTANCE_NOT_AVAILABLE`
`static int` `MEMORY_UNAVAILABLE`
`static int` `NO_ERROR`
`static int` `PARAMETER_VALUE_INAPPROPRIATE`
`static int` `PARAMETER_VALUE_INCONSISTENT`
`static int` `PROCESSOR_RESOURCE_UNAVAILABLE`
`static int` `TIMEOUT`
`static int` `TYPE_CONFLICT`
`static int` `UNKNOWN`

### Constructor Summary

Constructors
Constructor and Description
`ServiceError(int errorCode)`
`ServiceError(int errorCode, java.lang.String s)`
`ServiceError(int errorCode, java.lang.String s, java.lang.Throwable cause)`
`ServiceError(int errorCode, java.lang.Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getErrorCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NO_ERROR

    public static final int NO_ERROR

See Also:
  Constant Field Values

#### INSTANCE_NOT_AVAILABLE

    public static final int INSTANCE_NOT_AVAILABLE

See Also:
  Constant Field Values

#### INSTANCE_IN_USE

    public static final int INSTANCE_IN_USE

See Also:
  Constant Field Values

#### ACCESS_VIOLATION

    public static final int ACCESS_VIOLATION

See Also:
  Constant Field Values

#### ACCESS_NOT_ALLOWED_IN_CURRENT_STATE

    public static final int ACCESS_NOT_ALLOWED_IN_CURRENT_STATE

See Also:
  Constant Field Values

#### PARAMETER_VALUE_INAPPROPRIATE

    public static final int PARAMETER_VALUE_INAPPROPRIATE

See Also:
  Constant Field Values

#### PARAMETER_VALUE_INCONSISTENT

    public static final int PARAMETER_VALUE_INCONSISTENT

See Also:
  Constant Field Values

#### CLASS_NOT_SUPPORTED

    public static final int CLASS_NOT_SUPPORTED

See Also:
  Constant Field Values

#### INSTANCE_LOCKED_BY_OTHER_CLIENT

    public static final int INSTANCE_LOCKED_BY_OTHER_CLIENT

See Also:
  Constant Field Values

#### CONTROL_MUST_BE_SELECTED

    public static final int CONTROL_MUST_BE_SELECTED

See Also:
  Constant Field Values

#### TYPE_CONFLICT

    public static final int TYPE_CONFLICT

See Also:
  Constant Field Values

#### FAILED_DUE_TO_COMMUNICATIONS_CONSTRAINT

    public static final int FAILED_DUE_TO_COMMUNICATIONS_CONSTRAINT

See Also:
  Constant Field Values

#### FAILED_DUE_TO_SERVER_CONSTRAINT

    public static final int FAILED_DUE_TO_SERVER_CONSTRAINT

See Also:
  Constant Field Values

#### APPLICATION_UNREACHABLE

    public static final int APPLICATION_UNREACHABLE

See Also:
  Constant Field Values

#### CONNECTION_LOST

    public static final int CONNECTION_LOST

See Also:
  Constant Field Values

#### MEMORY_UNAVAILABLE

    public static final int MEMORY_UNAVAILABLE

See Also:
  Constant Field Values

#### PROCESSOR_RESOURCE_UNAVAILABLE

    public static final int PROCESSOR_RESOURCE_UNAVAILABLE

See Also:
  Constant Field Values

#### FATAL

    public static final int FATAL

See Also:
  Constant Field Values

#### TIMEOUT

    public static final int TIMEOUT

See Also:
  Constant Field Values

#### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### Constructor Detail

#### ServiceError

    public ServiceError(int errorCode)

#### ServiceError

    public ServiceError(int errorCode,
                        java.lang.String s)

#### ServiceError

    public ServiceError(int errorCode,
                        java.lang.Throwable cause)

#### ServiceError

    public ServiceError(int errorCode,
                        java.lang.String s,
                        java.lang.Throwable cause)

### Method Detail

#### getErrorCode

    public int getErrorCode()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Throwable`